Commit b5cd4abe authored by Éloïs's avatar Éloïs
Browse files

[deps]: upgrade dubp to v0.49.0

parent aa2c5479
......@@ -980,9 +980,9 @@ checksum = "4bb454f0228b18c7f4c3b0ebbee346ed9c52e7443b0999cd543ff3571205701d"
[[package]]
name = "dubp"
version = "0.48.0"
version = "0.49.0"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "e3e3fe6a250aaa17de9d86c77028ae2b22f4f7d3b9716659d89d82fb72b2db68"
checksum = "1b9617091ba0d0a0cc95392655b0b7136fee3b63101d64c0fd0a5c2741983f18"
dependencies = [
"dubp-block",
"dubp-common",
......@@ -994,9 +994,9 @@ dependencies = [
[[package]]
name = "dubp-block"
version = "0.48.0"
version = "0.49.0"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "1157cd956b2f7734067e12fe6df23f8710e4543fa29c5e95162964862cc063ba"
checksum = "53a15b5320e575d8549a549e1950c08a166531d1edf687da4d98fecb00d5bdf7"
dependencies = [
"dubp-documents",
"dubp-documents-parser",
......@@ -1009,9 +1009,9 @@ dependencies = [
[[package]]
name = "dubp-common"
version = "0.48.0"
version = "0.49.0"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "c83386c1914b8f3d4a1fb2895b6e31899019b05de3fb6c7ec45d0f13238e6c64"
checksum = "da764b34a61ecb52fa90dc11f5a44d6bc9599b043d37592b5102b95d993fd677"
dependencies = [
"dup-crypto",
"serde",
......@@ -1022,9 +1022,9 @@ dependencies = [
[[package]]
name = "dubp-documents"
version = "0.48.0"
version = "0.49.0"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "eeabf1395e31c3e2a1dfabc1f97a933c361312e65f65ca843092b94a32e4ce19"
checksum = "8810039b6dd6a101109aebc9836ddec58366052803f824c56016889d9444f5cf"
dependencies = [
"beef",
"dubp-wallet",
......@@ -1036,9 +1036,9 @@ dependencies = [
[[package]]
name = "dubp-documents-parser"
version = "0.48.0"
version = "0.49.0"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "f441e42514531d4b04001ff95e20d9b681198bc8f13872af24281c350d2e96f2"
checksum = "c791c77a3f9c670666dc41f861481cc80eb1ad193584727adfee792350fd3129"
dependencies = [
"dubp-documents",
"json-pest-parser",
......@@ -1050,9 +1050,9 @@ dependencies = [
[[package]]
name = "dubp-wallet"
version = "0.48.0"
version = "0.49.0"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "b89b1d3262a26156de5edcd97e20c2cd747a24ee1244e929b5ac3aada5519b94"
checksum = "2ef8e7c5334ddbc7899f83911026ebc324ba7fc7232c7ca5265e611490dbd282"
dependencies = [
"byteorder",
"dubp-common",
......@@ -1372,9 +1372,9 @@ dependencies = [
[[package]]
name = "dup-crypto"
version = "0.48.0"
version = "0.49.0"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "093aa174cc3792e029e5deabf83986842595279840e5eab58e845efe33d75b48"
checksum = "0be04829b31b18bacf5317001366d807e5fbd02085ee6348508c1299b5bcaf6c"
dependencies = [
"base64 0.13.0",
"blake3",
......
......@@ -17,7 +17,7 @@ neon-build = "0.4.0"
[dependencies]
bincode = "1.2.1"
bs58 = "0.3.0"
dubp = { version = "0.48.0", features = ["duniter"] }
dubp = { version = "0.49.0", features = ["duniter"] }
dubp-wot = { path = "../../rust-libs/dubp-wot" }
duniter-server = { path = "../../rust-libs/duniter-server" }
flate2 = "1.0.16"
......
......@@ -22,7 +22,7 @@ anyhow = "1.0.33"
arrayvec = "0.5.1"
comfy-table = "2.1.0"
dirs = "3.0.1"
dubp = { version = "0.48.0", features = ["duniter"] }
dubp = { version = "0.49.0", features = ["duniter"] }
duniter-dbs = { path = "../../rust-libs/duniter-dbs", default-features = false, features = ["explorer", "leveldb_backend", "sled_backend"] }
duniter-dbs-write-ops = { path = "../../rust-libs/duniter-dbs-write-ops", default-features = false, features = ["explorer", "leveldb_backend", "sled_backend"] }
duniter-gva-db = { path = "../../rust-libs/modules/gva/db", default-features = false, features = ["explorer", "leveldb_backend"] }
......
......@@ -14,7 +14,7 @@ path = "src/lib.rs"
[dependencies]
anyhow = "1.0.34"
duniter-dbs = { path = "../duniter-dbs" }
dubp = { version = "0.48.0", features = ["duniter"] }
dubp = { version = "0.49.0", features = ["duniter"] }
resiter = "0.4.0"
[dev-dependencies]
......
......@@ -6,5 +6,5 @@ license = "AGPL-3.0"
edition = "2018"
[dependencies]
dubp = { version = "0.48.0", features = ["duniter"] }
dubp = { version = "0.49.0", features = ["duniter"] }
serde = { version = "1.0.105", features = ["derive"] }
......@@ -13,7 +13,7 @@ path = "src/lib.rs"
[dependencies]
chrono = "0.4.19"
dubp = { version = "0.48.0", features = ["duniter"] }
dubp = { version = "0.49.0", features = ["duniter"] }
duniter-dbs = { path = "../duniter-dbs" }
fast-threadpool = "0.2.3"
log = "0.4.11"
......
......@@ -16,7 +16,7 @@ arrayvec = "0.5.1"
bincode = "1.2.1"
byteorder = "1.3.4"
chrono = { version = "0.4.15", optional = true }
dubp = { version = "0.48.0", features = ["duniter"] }
dubp = { version = "0.49.0", features = ["duniter"] }
kv_typed = { path = "../tools/kv_typed", default-features = false }
log = "0.4.8"
mockall = { version = "0.8.0", optional = true }
......
......@@ -12,7 +12,7 @@ edition = "2018"
path = "src/lib.rs"
[dependencies]
dubp = { version = "0.48.0", features = ["duniter"] }
dubp = { version = "0.49.0", features = ["duniter"] }
duniter-dbs = { path = "../duniter-dbs" }
duniter-bc-reader = { path = "../duniter-bc-reader" }
duniter-dbs-write-ops = { path = "../duniter-dbs-write-ops" }
......
......@@ -8,7 +8,7 @@ edition = "2018"
[dependencies]
anyhow = "1.0.34"
async-trait = "0.1.41"
dubp = { version = "0.48.0", features = ["duniter"] }
dubp = { version = "0.49.0", features = ["duniter"] }
duniter-conf = { path = "../duniter-conf" }
duniter-dbs = { path = "../duniter-dbs" }
duniter-mempools = { path = "../duniter-mempools" }
......
......@@ -8,7 +8,7 @@ edition = "2018"
[dependencies]
anyhow = "1.0.34"
cfg-if = "1.0.0"
dubp = { version = "0.48.0", features = ["duniter"] }
dubp = { version = "0.49.0", features = ["duniter"] }
duniter-conf = { path = "../duniter-conf" }
duniter-dbs = { path = "../duniter-dbs" }
duniter-bc-reader = { path = "../duniter-bc-reader" }
......
......@@ -11,7 +11,7 @@ arrayvec = "0.5.1"
async-graphql = "2.2.0"
async-mutex = "1.4.0"
async-trait = "0.1.41"
dubp = { version = "0.48.0", features = ["duniter"] }
dubp = { version = "0.49.0", features = ["duniter"] }
duniter-conf = { path = "../../duniter-conf" }
duniter-dbs = { path = "../../duniter-dbs" }
duniter-gva-db = { path = "./db" }
......
......@@ -14,7 +14,7 @@ path = "src/lib.rs"
bincode = "1.2.1"
chrono = { version = "0.4.15", optional = true }
duniter-dbs = { path = "../../../duniter-dbs" }
dubp = { version = "0.48.0", features = ["duniter"] }
dubp = { version = "0.49.0", features = ["duniter"] }
kv_typed = { path = "../../../tools/kv_typed", default-features = false, features = ["sled_backend"] }
parking_lot = "0.11.0"
paste = "1.0.2"
......
......@@ -16,7 +16,7 @@ anyhow = "1.0.34"
arrayvec = "0.5.1"
duniter-dbs = { path = "../../../duniter-dbs" }
duniter-gva-db = { path = "../db" }
dubp = { version = "0.48.0", features = ["duniter"] }
dubp = { version = "0.49.0", features = ["duniter"] }
resiter = "0.4.0"
[dev-dependencies]
......
......@@ -10,7 +10,7 @@ anyhow = "1.0.33"
arrayvec = "0.5.1"
async-graphql = "2.2.0"
async-trait = "0.1.41"
dubp = { version = "0.48.0", features = ["duniter"] }
dubp = { version = "0.49.0", features = ["duniter"] }
duniter-conf = { path = "../../../duniter-conf" }
duniter-dbs = { path = "../../../duniter-dbs" }
duniter-bc-reader = { path = "../../../duniter-bc-reader" }
......
......@@ -17,6 +17,7 @@ use crate::*;
use dubp::{
crypto::bases::BaseConversionError,
documents::transaction::v10_gen::{TransactionDocV10ComplexGen, TxV10ComplexIssuer},
documents::transaction::UnsignedTransactionDocumentTrait,
};
use duniter_dbs::smallvec::SmallVec;
......
......@@ -15,7 +15,7 @@ path = "src/lib.rs"
anyhow = "1.0.34"
duniter-dbs = { path = "../../../duniter-dbs" }
duniter-gva-db = { path = "../db" }
dubp = { version = "0.48.0", features = ["duniter"] }
dubp = { version = "0.49.0", features = ["duniter"] }
once_cell = "1.5.2"
resiter = "0.4.0"
......
......@@ -7,7 +7,7 @@ edition = "2018"
[dependencies]
anyhow = "1.0.34"
dubp = { version = "0.48.0", features = ["duniter"] }
dubp = { version = "0.49.0", features = ["duniter"] }
duniter-conf = { path = "../../duniter-conf" }
duniter-dbs = { path = "../../duniter-dbs" }
duniter-bc-reader = { path = "../../duniter-bc-reader" }
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment